local opt = vim.opt
local o = vim.o
local g = vim.g

o.laststatus = 3
o.showmode = false
o.clipboard = "unnamedplus"
o.cursorline = true
o.cursorlineopt = "number"

o.expandtab = true
o.autoindent = true
o.shiftwidth = 2
o.smartindent = true
o.tabstop = 2
o.softtabstop = 2

o.number = true
o.relativenumber = true
o.syntax = "on"
o.cursorline = true
o.expandtab = true
o.shiftwidth = 2
o.encoding = "UTF-8"
o.ruler = true
o.hidden = true
o.ttimeoutlen = 0
o.wildmenu = true
o.showmatch = true
o.inccommand = "split"
o.splitright = true
o.splitbelow = true
o.updatetime = 250
o.ignorecase = true
o.incsearch = true
o.smartcase = true
o.mouse = "a"

opt.shortmess:append "sI"
opt.whichwrap:append "<>[]hl"
opt.fillchars = { eob = " " }
opt.termguicolors = true

g.loaded_node_provider = 0
g.loaded_python3_provider = 0
g.loaded_perl_provider = 0
g.loaded_ruby_provider = 0

